- [HTTP request](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#body.request_body)
  - [JSON representation](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#body.response_body)
- [ChargebackReversedNotificationResponse](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#ChargebackReversedNotificationResponse)
  - [JSON representation](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#ChargebackReversedNotificationResponse.SCHEMA_REPRESENTATION)
- [ChargebackReversedNotificationResultCode](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#ChargebackReversedNotificationResultCode)

Notifies Google that a chargeback is being reversed.

This signifies the reversal of a chargeback. This means Google won the dispute and the funds taken with the chargeback can be represented to Google. If this was the first chargeback for a transaction the user or issuer may request a second chargeback with new or additional information.

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1,
          "minor": 0,
          "revision": 0
        },
        "requestId": "8de12c67-6458-4a8a-b3d5-a10ecdbb3354",
        "requestTimestamp": "1488722866000"
      },
      "paymentIntegratorAccountId": "SpeedyPaymentsIndia_INR",
      "chargebackRequestId": "fe640ae3-d9af-4075-90a1-7b90f436b3c0",
      "amount": "728000000",
      "rawResult": {
        "scope": "VISA",
        "rawCode": "03"
      },
      "chargebackReversalDate": "1488585600000"
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": "1488722868230"
      },
      "result": "SUCCESS"
    }

### HTTP request

`POST https://vgw.googleapis.com/secure-serving/gsp/google-card-fop-api/v1/chargebackReversedNotification/https://developers.google.com/pay/card-fop-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/RequestHeader) }, "paymentIntegratorAccountId": string, "chargebackRequestId": string, "amount": string, "rawResult": { object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/CardNetworkResult#RawResult) }, "chargebackReversalDate": string } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/RequestHeader)` **REQUIRED**: Common header for all requests. |
| `paymentIntegratorAccountId` | `string` **REQUIRED**: This is the payment integrator account identifier that identifies contractual constraints around this transaction. |
| `chargebackRequestId` | `string` **REQUIRED** : A unique identifier for the chargeback that is being reversed. This is the `requestId` generated by the integrator during the `card-fop-v1.chargebackNotification` this request is associated with. |
| `amount` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED** : The amount being reversed, in [micros](https://developers.google.com/pay/card-fop-v1/reference/glossary#micros "What are micros?") of the currency unit. This must be greater than zero and less than or equal to the amount in the`card-fop-v1.chargebackNotification`. It is in same currency unit as the `captureFundsReservation` or `capture`. |
| `rawResult` | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/CardNetworkResult#RawResult)` **REQUIRED**: The raw result from the network on why the chargeback is being reversed. Used for informational purposes. |
| `chargebackReversalDate` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED** Timestamp of the date that the chargeback was reversed. If the date is not known, then this is the date that the payment integrator received the notification for the reversal. It is represented as milliseconds since epoch. This is a date and therefore should be the first millisecond of the day in the America/Los Angeles timezone. If it is not the first millisecond of the day the date will be assumed to be the day the specified millisecond falls on in the America/Los Angeles time zone. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/card-fop-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#ChargebackReversedNotificationResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse)` |
| End of mutually exclusive fields. ||

## ChargebackReversedNotificationResponse

Response object for Google hosted card-fop-v1.chargebackReversedNotification method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ResponseHeader) }, "result": enum (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#ChargebackReversedNotificationResultCode`) } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `result` | ``enum (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/chargebackReversedNotification#ChargebackReversedNotificationResultCode`)`` **REQUIRED**: Result of this call. |

## ChargebackReversedNotificationResultCode

Result codes for the `chargebackReversed` method.

| Enums ||
|---|---|
| `UNKNOWN_RESULT` | Do not ever set this default value! |
| `SUCCESS` | Chargeback reversed notification was successfully processed. |